Skip to content
Tag Posts

List specific post's tags

Understanding how to use FeatureOS API to build custom integrations.

Introduction

This API allows you to retrieve a list of all tags present in a post.

GET https://api.featureos.app/api/v3/feature_requests/tags
curl -X GET 'https://api.featureos.app/api/v3/feature_requests/tags' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Query Parameters

Parameter Default Description
feature_request_id - Post ID

Sample response

[
  {
    "id": 123,
    "slug": "2025-Quarter-1",
    "name": "2025 Quarter 1",
    "description": "ETC quarter",
    "color": "orange",
    "private": true,
    "source_type": "bucket",
    "source_id": 12
  },
  {
    "id": 123,
    "slug": "Starred",
    "name": "Starred",
    "description": "Posted by starred Customer",
    "color": "cyan",
    "private": null,
    "source_type": "feature_request",
    "source_id": null
  },
  ...
]